Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.msv.grammar.relax
Class NoneType

    java.lang.Object
      BuiltinAtomicType
          com.sun.msv.grammar.relax.NoneType

public class NoneType
extends BuiltinAtomicType

'none' datatype of RELAX. this type accepts nothing.

Author:
  Kohsuke KAWAGUCHI
See Also:
  Serialized Form

Field Summary
`static NoneType` | `theInstance`

Method Summary
`java.lang.Object` | `_createValue(java.lang.String lexicalValue, ValidationContext context)`
`boolean` | `checkFormat(java.lang.String literal, ValidationContext context)`
`java.lang.String` | `convertToLexicalValue(java.lang.Object o, SerializationContext context)`
`XSDatatype` | `getBaseType()`
`java.lang.Class` | `getJavaObjectType()`
`int` | `isFacetApplicable(java.lang.String facetName)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### theInstance

    public static final NoneType theInstance

Method Detail

### getBaseType

    public final XSDatatype getBaseType()

### isFacetApplicable

    public int isFacetApplicable(java.lang.String facetName)

### checkFormat

    public boolean checkFormat(java.lang.String literal,
                               ValidationContext context)

### _createValue

    public java.lang.Object _createValue(java.lang.String lexicalValue,
                                         ValidationContext context)

### convertToLexicalValue

    public java.lang.String convertToLexicalValue(java.lang.Object o,
                                                  SerializationContext context)

### getJavaObjectType

    public java.lang.Class getJavaObjectType()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD